import request from '../../utils/request'
/**
 * 获取日语培训列表
 *
 */
export function queryDutyFrequencyBySchoolIds(data) {
  return request({
    url: '/Duty/GetDutyFrequencyBySchoolIds',
    method: 'post',
    data
  })
}

//获取排班计划列表数据
export function GetDutyPlanPage(data) {
  return request({
    url: '/DutyPlan/GetDutyPlanPage',
    method: 'post',
    data
  })
}

//保存排课计划
export function SaveDutyPlan(data) {
  return request({
    url: '/DutyPlan/SaveDutyPlan',
    method: 'post',
    data
  })
}

//获取排班计划信息
export function queryDutyPlanInfo(data) {
  return request({
    url: '/DutyPlan/GetDutyPlan',
    method: 'post',
    data
  })
}


//获取我的排班计划
export function queryMyDutyPlanPage(data) {
  return request({
    url: '/DutyPlan/GetMyDutyPlanPage',
    method: 'post',
    data
  })
}

//获取我的值班看板
export function OnDuty(data) {
  return request({
    url: '/DutyPlan/OnDuty',
    method: 'post',
    data
  })
}

//获取访客列表
export function queryVisitorPage(data) {
  return request({
    url: '/DutyPlan/GetVisitorPage',
    method: 'post',
    data
  })
}

//新增修改访客
export function setVisitor(data) {
  return request({
    url: '/DutyPlan/SetVisitor',
    method: 'post',
    data
  })
}

//根据编号查询访客信息
export function queryVisitor(data) {
  return request({
    url: '/DutyPlan/GetVisitor',
    method: 'post',
    data
  })
}

//修改访客状态
export function updateVisitor(data) {
  return request({
    url: '/DutyPlan/UpdateVisitor',
    method: 'post',
    data
  })
}

//修改访客删除状态
export function setVisitorStatus(data) {
  return request({
    url: '/DutyPlan/RemoveVisitor',
    method: 'post',
    data
  })
}

//删除值班内容
export function removeDutyContent(data) {
  return request({
    url: '/DutyPlan/RemoveDutyContent',
    method: 'post',
    data
  })
}

//新增修改值班内容
export function SetDutyContent(data) {
  return request({
    url: '/DutyPlan/SetDutyContent',
    method: 'post',
    data
  })
}

//值班签到
export function DutyCheck(data) {
  return request({
    url: '/DutyPlan/DutyCheck',
    method: 'post',
    data
  })
}


/**
 * 值班打卡/值班交接
 * @param {JSON参数} data 
 */
export function saveDutyCheck(data) {
  return request({
    url: '/DutyPlan/DutyCheck',
    method: 'post',
    data
  })
}
